org.deidentifier.arx.gui.view.impl.utility

## Class AnalysisContextContingency

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.utility.AnalysisContextContingency

All Implemented Interfaces:
  AnalysisContextVisualization

    public class AnalysisContextContingency
    extends java.lang.Object
    implements AnalysisContextVisualization

The current context.

Author:
  Fabian Prasser

### Field Summary

Fields
`java.lang.String` `attribute1` Context information.
`java.lang.String` `attribute2` Context information.
`AttributeType` `attributeType1` Context information.
`AttributeType` `attributeType2` Context information.
`DataType<?>` `dataType1` Context information.
`DataType<?>` `dataType2` Context information.
`DataHandle` `handle` Context information.
`Model` `model` Context information.

### Constructor Summary

Constructors
Constructor and Description
`AnalysisContextContingency(AnalysisContext context)` Creates a new context from the given context.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isAttributeSelected(java.lang.String attribute)` Is the provided attribute selected according to the config?.
`boolean` `isValid()` Is this a valid context.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### attribute1

    public java.lang.String attribute1

Context information.

#### attribute2

    public java.lang.String attribute2

Context information.

#### dataType1

    public DataType<?> dataType1

Context information.

#### dataType2

    public DataType<?> dataType2

Context information.

#### attributeType1

    public AttributeType attributeType1

Context information.

#### attributeType2

    public AttributeType attributeType2

Context information.

#### handle

    public DataHandle handle

Context information.

#### model

    public Model model

Context information.

### Constructor Detail

#### AnalysisContextContingency

    public AnalysisContextContingency(AnalysisContext context)

Creates a new context from the given context.

Parameters:
  `context` -

### Method Detail

#### isAttributeSelected

    public boolean isAttributeSelected(java.lang.String attribute)

Is the provided attribute selected according to the config?.

Specified by:
  `isAttributeSelected` in interface `AnalysisContextVisualization`
Parameters:
  `attribute` -
Returns:

#### isValid

    public boolean isValid()

Is this a valid context.

Specified by:
  `isValid` in interface `AnalysisContextVisualization`
Returns: